Sets
porte /standard, lusso/
fase /assemblaggio, verniciatura/;

Table
ore(porte,fase)
         assemblaggio verniciatura
standard 2            3
lusso    4            5;

Parameter
massimo(porte) /standard 500, lusso 300/
ricavo(porte) /standard 300, lusso 400/
operai(fase) /assemblaggio 20, verniciatura 30/;

Scalars
oreSettimana /40/;

Integer variable x(porte) "produzione settimanale di porte";
Free variable z "ricavo settimanale";

x.up(porte) = massimo(porte);

Equations
ricavoTot
disp(fase)
prop;

ricavoTot.. z =e= sum(porte, ricavo(porte)*x(porte));
disp(fase).. sum(porte, ore(porte,fase)*x(porte)) =l= operai(fase)*oreSettimana;
prop.. x('lusso') =l= 0.5*(x('standard')+x('lusso'));

Model falegnameria /all/;
Solve falegnameria using mip maximizing z;
Display z.l, x.l;
